=== 3rd/jade/sx/Makefile ===

#############################################################################
# Makefile for building sx
# Generated by tmake at 14:28, 1999/10/06
#     Project: sx
#    Template: ../pro/japp
#############################################################################

####### Compiler, tools and options

CC	=	egcs
CXX	=	eg++
CFLAGS	=	-pipe -O2 -fno-strength-reduce
CXXFLAGS=	-DSTDC_HEADERS=1 \
-DHAVE_LIMITS_H=1 -DHAVE_ST_BLKSIZE=1 -O2 -fno-strength-reduce
INCPATH	=	-I../sp -I../generic
LINK	=	eg++ -pthread
LFLAGS	=	
LIBS	=	-L../libs -lsp
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	SxMessages.h \
		XmlOutputEventHandler.h \
		XmlOutputMessages.h
SOURCES =	XmlOutputEventHandler.cxx \
		sx.cxx \
		sx_inst.cxx
OBJECTS =	XmlOutputEventHandler.o \
		sx.o \
		sx_inst.o
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	sx

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake sx.pro

dist:
	$(TAR) sx.tar sx.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) sx.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

XmlOutputEventHandler.o: XmlOutputEventHandler.cxx \
		XmlOutputEventHandler.h \
		XmlOutputMessages.h

sx.o: sx.cxx \
		XmlOutputEventHandler.h \
		SxMessages.h

sx_inst.o: sx_inst.cxx
