=== debian/changelog ===
serna-free (4.4.0.20111005-1) experimental; urgency=low

  * Start working on serna 4.4-rc1

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 03 Nov 2011 11:24:51 +0100
